API Reference/Thumbnail Balance Tools

Thumbnail Balance Tools

Check your thumbnail balance and view transaction history. Thumbnails are used for thumbnail generation and other AI operations.

Check your thumbnail balance and view transaction history. Thumbnails are used for thumbnail generation and other AI operations.

get_credits

Get your current thumbnail balance and thumbnail costs.

Endpoint: POST /api/v1/tools/get_credits

This tool takes no parameters.

Example

curl -X POST https://thumbfa.st/api/v1/tools/get_credits \
  -H "Authorization: Bearer tf_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{}'

get_credit_history

Get your thumbnail transaction history.

Endpoint: POST /api/v1/tools/get_credit_history

Parameters

ParameterTypeRequiredDescription
limitnumberNoMax results (default: 20)
cursorstringNoPagination cursor

Example

curl -X POST https://thumbfa.st/api/v1/tools/get_credit_history \
  -H "Authorization: Bearer tf_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "limit": 20
  }'